跳到正文

Get headlines (topics list)

GET
/topics

Retrieve a paginated list of topics/headlines with optional filters

授权

ApiKeyAuth

API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx

类型
API Key (header: X-CP-TERMINAL-API-KEY)

参数

查询参数

category

Filter by category (0=Breaking, 1=Important, 2=Normal)

类型
integer
有效值
012
示例0
page

Page number

类型
integer
示例1
最小值
1
默认
1
page_size

Number of items per page

类型
integer
示例20
最小值
1
默认
20
lang

Language code

类型
string
有效值
"en""ja""zh"
示例"en"
默认
"en"
publish_before

Filter by topics published before this date (RFC3339 format)

类型
string
示例"2026-03-12T09:45:44Z"
格式
"date-time"
publish_after

Filter by topics published after this date (RFC3339 format)

类型
string
示例"2026-03-10T09:45:44Z"
格式
"date-time"

响应

Successful response

application/json
JSON
{
  
"code": 0,
  
"message": "ok",
  
"data": [
  
  
{
  
  
  
"id": 1,
  
  
  
"title": "Bitcoin hits new high",
  
  
  
"subtitle": "crypto",
  
  
  
"summary": "market analysis summary",
  
  
  
"category": 0,
  
  
  
"lang": "en",
  
  
  
"published_at": "2026-01-01T10:00:00Z",
  
  
  
"url": "https://coinpost.ai/topics/1"
  
  
}
  
],
  
"total": 100
}

试验场

授权
变量

示例

技术支持 VitePress OpenAPI